﻿using System;
using VCinemaApi.Models;

namespace VCinemaApi.Dtos
{
    public class ScreenReadDto
    {
        public ScreenReadDto(Screen screen)
        {
            Id = screen.Id;
            Name = screen.Name;
            Source = screen.Source;
            Playing = screen.Playing;
            Position = screen.Position;
        }

        public readonly int Id;
        public readonly string Name;
        public readonly string Source;
        public readonly bool Playing;
        public readonly double Position;
    }
}